Name:		grafx2
Version:	2.5
Release:	1%{?dist}
Summary:	A bitmap paint program specialized in 256 color drawing
URL:		http://grafx2.chez.com/
# recoil is GPLv2+, grafX2 is GPLv2 only
License:	GPLv2
Source0:	https://gitlab.com/GrafX2/grafX2/-/archive/v2.5/grafX2-v%{version}.tar.bz2
Source1:	https://sourceforge.net/projects/recoil/files/recoil/4.2.0/recoil-4.2.0.tar.gz
Patch0:		grafX2-v2.5-cp-fix.patch
Patch1:		grafX2-v2.5-moar-dirs.patch
BuildRequires:	SDL-devel, SDL_image-devel, SDL_ttf-devel, zlib-devel
BuildRequires:	libpng-devel, freetype-devel, libX11-devel, lua-devel, gcc, make
BuildRequires:	fontconfig-devel, desktop-file-utils
Provides:	bundled(recoil) = 4.2.0

%description
GrafX2 is a bitmap paint program inspired by the Amiga programs ​Deluxe Paint
and Brilliance. Specialized in 256-color drawing, it includes a very large
number of tools and effects that make it particularly suitable for pixel
art, game graphics, and generally any detailed graphics painted with a
mouse.

%prep
%setup -q -n grafX2-v%{version}
%patch0 -p1 -b .cpa
%patch1 -p1 -b .moardirs

sed -i 's|-O$(OPTIM)|%{optflags}|g' src/Makefile
sed -i 's|$(LUALOPT)|$(LUALOPT) %{build_ldflags}|g' src/Makefile

iconv -f iso8859-1 -t utf8 doc/tech_eng.txt -o doc/tech_eng.txt.utf8
touch -r doc/tech_eng.txt doc/tech_eng.txt.utf8
mv doc/tech_eng.txt.utf8 doc/tech_eng.txt

mkdir -p 3rdparty/archives/
cp -a %{SOURCE1} 3rdparty/archives/

%build
cd src
make %{?_smp_mflags}

%install
cd src
make DESTDIR=%{buildroot} prefix=%{_prefix} CP="cp -a" install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/grafx2.desktop

%files
%license LICENSE
%doc doc/README.txt doc/tech_eng.txt doc/quickstart.rtf
%{_bindir}/grafx2
%{_datadir}/applications/grafx2.desktop
%{_datadir}/grafx2/
%{_datadir}/icons/grafx2*

%changelog
* Tue Jun 12 2018 Tom Callaway <spot@fedoraproject.org> - 2.5-1
- initial package
